{
  "name": "express-gen-ts",
  "version": "0.0.0",
  "scripts": {
    "build": "npx ts-node build.ts",
    "lint": "npx eslint --ext .ts src/",
    "lint:tests": "npx eslint --ext .ts spec/",
    "start": "node -r module-alias/register ./dist --env=production",
    "dev": "nodemon",
    "test": "nodemon --config ./spec/nodemon.json",
    "test:no-reloading": "npx ts-node --files -r tsconfig-paths/register ./spec",
    "fixtures": "ts-node src/db/fixtures.ts"
  },
  "nodemonConfig": {
    "watch": [
      "src"
    ],
    "ext": "ts, html",
    "ignore": [
      "src/public"
    ],
    "exec": "./node_modules/.bin/ts-node --files -r tsconfig-paths/register ./src/server.ts"
  },
  "_moduleAliases": {
    "@src": "dist"
  },
  "engines": {
    "node": ">=8.10.0"
  },
  "dependencies": {
    "@types/mongoose": "^5.11.97",
    "bcrypt": "^5.1.0",
    "cookie-parser": "^1.4.6",
    "cors": "^2.8.5",
    "dotenv": "^16.0.3",
    "express": "^4.18.2",
    "express-async-errors": "^3.1.1",
    "helmet": "^7.0.0",
    "inserturlparams": "^1.0.1",
    "jet-logger": "^1.3.1",
    "jet-validator": "^1.1.1",
    "jsonfile": "^6.1.0",
    "module-alias": "^2.2.2",
    "mongoose": "^7.2.1",
    "morgan": "^1.10.0",
    "multer": "^1.4.5-lts.1",
    "nanoid": "^3.3.4",
    "ts-command-line-args": "^2.5.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.0",
    "@types/cookie-parser": "^1.4.3",
    "@types/cors": "^2.8.13",
    "@types/express": "^4.17.17",
    "@types/find": "^0.2.1",
    "@types/fs-extra": "^11.0.1",
    "@types/jasmine": "^4.3.2",
    "@types/jsonfile": "^6.1.1",
    "@types/morgan": "^1.9.4",
    "@types/multer": "^1.4.7",
    "@types/node": "^20.2.5",
    "@types/supertest": "^2.0.12",
    "@typescript-eslint/eslint-plugin": "^5.59.7",
    "@typescript-eslint/parser": "^5.59.7",
    "eslint": "^8.41.0",
    "eslint-plugin-node": "^11.1.0",
    "find": "^0.3.0",
    "fs-extra": "^11.1.1",
    "jasmine": "^4.6.0",
    "nodemon": "^2.0.22",
    "supertest": "^6.3.3",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.2.0",
    "typescript": "^5.0.4"
  }
}
